Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Dec 2021 15:31:44 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Thu, 16 Dec 2021 16:01:26 +0300
> 
> > Thanks.  I think this means that Emacs 29 on master now rejects the
> > Inconsolata_dz font for some reason, or thinks it finds a better
> > match.
> 
> Despite 'emacs -Q -fn Inconsolata_dz' having the intended effect?

Yes.  The -fn argument forces Emacs to use the specified font, whereas
:family is much more general and doesn't force the use of a specific
font.

> > The fact that it picks a condensed family is probably
> > secondary; the main issue here is that the font family you requested
> > is rejected.
> > 
> > Does that family have the regular weight?  If not, maybe that's the
> > reason it is rejected, and you need to also require some specific
> > :weight value in your set-face-attribute call.
> 
> Although yes, something to that effect seems to be going on. But 
> specifying different values of :weight doesn't help either (regulal, 
> medium, light, bold, extra-bold).

If playing with :weight didn't help, what other evidence did you see
that this issue is related?

> > Also, maybe running
> > 
> >    $ FC_DEBUG=1282 emacs -Q
> > 
> > will give us a clue of what happens.  See
> > 
> >    https://www.freedesktop.org/software/fontconfig/fontconfig-user.html#DEBUG
> > 
> > for where I took that weird value.
> 
> I've recorded the log, but it's 92 MB.
> 
> It's uploaded here: https://www.filemail.com/d/uplporttqgfaive

Thanks, I will try to take a look and see if I spot something of
interest.